org.eclipse.ecf.filetransfer

## Interface IOutgoingFileTransfer

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, IFileTransfer, IIdentifiable

All Known Implementing Classes:
  AbstractOutgoingFileTransfer, AbstractUrlConnectionOutgoingFileTransfer, LocalFileOutgoingFileTransfer

    public interface IOutgoingFileTransfer
    extends IFileTransfer

Outgoing file transfer.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getBytesSent()` Get the number of bytes sent for this outgoing file transfer.

### Methods inherited from interface org.eclipse.ecf.filetransfer.IFileTransfer

`cancel, getException, getFileLength, getPercentComplete, isDone`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.core.identity.IIdentifiable

`getID`

### Method Detail

#### getBytesSent

    long getBytesSent()

Get the number of bytes sent for this outgoing file transfer. Returns 0 if transfer has not be started, and -1 if underlying provider does not support reporting number of bytes sent during transfer.

Returns:
  number of bytes sent. Returns 0 if the outgoing file transfer has not been started, and -1 if provider does not support reporting of number of bytes received during transfer